Bug 172825 - [PATCH] devel/p5-DateTime-Format-Natural: update to 1.01, take maintainership
Summary: [PATCH] devel/p5-DateTime-Format-Natural: update to 1.01, take maintainership
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Jason E. Hale
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-10-17 14:00 UTC by Muhammad Moinur Rahman
Modified: 2012-10-19 09:52 UTC (History)
1 user (show)

See Also:


Attachments
p5-DateTime-Format-Natural-1.01.patch (2.10 KB, patch)
2012-10-17 14:00 UTC, Muhammad Moinur Rahman
no flags Details | Diff
p5-DateTime-Format-Natural.diff (2.43 KB, patch)
2012-10-19 04:13 UTC, Jason E. Hale
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Comment 1 Edwin Groothuis freebsd_committer 2012-10-17 14:00:08 UTC
Responsible Changed
From-To: freebsd-ports-bugs->timur

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 Jason E. Hale freebsd_committer 2012-10-17 14:41:51 UTC
State Changed
From-To: open->closed

Pass maintainership to submitter. Approved by timur@ via private email.
Comment 3 Jason E. Hale freebsd_committer 2012-10-19 03:40:58 UTC
Responsible Changed
From-To: timur->jhale

I'll take it.
Comment 4 Jason E. Hale freebsd_committer 2012-10-19 03:41:34 UTC
State Changed
From-To: closed->open

Re-open this since update was not applied.
Comment 5 Jason E. Hale freebsd_committer 2012-10-19 04:13:43 UTC
Seems like devel/p5-Clone is required too.  There wasn't a regression-test 
target either even though TEST_DEPENDS was defined.  Do you agree?

===>  Configuring for p5-DateTime-Format-Natural-1.01
Checking prerequisites...
  requires:
    !  Clone is not installed
  build_requires:
    !  Test::MockTime is not installed

ERRORS/WARNINGS FOUND IN PREREQUISITES.  You may wish to install the versions
of the modules indicated above before proceeding with this installation

Run 'Build installdeps' to install missing prerequisites.
Comment 6 Muhammad Moinur Rahman freebsd_committer 2012-10-19 08:52:55 UTC
Yeap, I do agree.

On Fri, Oct 19, 2012 at 9:13 AM, Jason E. Hale <jhale@freebsd.org> wrote:

> Seems like devel/p5-Clone is required too.  There wasn't a regression-test
> target either even though TEST_DEPENDS was defined.  Do you agree?
>
> ===>  Configuring for p5-DateTime-Format-Natural-1.01
> Checking prerequisites...
>   requires:
>     !  Clone is not installed
>   build_requires:
>     !  Test::MockTime is not installed
>
> ERRORS/WARNINGS FOUND IN PREREQUISITES.  You may wish to install the
> versions
> of the modules indicated above before proceeding with this installation
>
> Run 'Build installdeps' to install missing prerequisites.
Comment 7 Jason E. Hale freebsd_committer 2012-10-19 09:52:03 UTC
State Changed
From-To: open->closed

Committed. Thanks!